<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <!-- FancyBox -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.min.css"
      media="screen"
    />
    <!-- Fontawesome -->
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.15.3/css/all.css"
      integrity="sha384-SZXxX4whJ79/gErwcOYf+zWLeJdY/qpuqC4cAa9rOGUstPomtqpuNWT9wdPEn2fk"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="css/style.css" />

    <title>Комп'ютерний практикум №3. Git і GitHub</title>
  </head>
  <body>
    <header>
      <div class="container">
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark sticky-top">
          <a class="navbar-brand" href="index.html">
            <img src="img/logo.png" width="30" height="30" />
          </a>
          <button
            class="navbar-toggler"
            type="button"
            data-toggle="collapse"
            data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="nav mr-auto">
              <li class="nav-item">
                <a
                  class="nav-link text-light"
                  id="home-tab"
                  data-toggle="tab"
                  href="#home"
                  role="tab"
                  aria-controls="home"
                  aria-selected="true"
                  >Главная</a
                >
              </li>
              <li class="nav-item">
                <a
                  class="nav-link text-light"
                  id="gallery-tab"
                  data-toggle="tab"
                  href="#gallery"
                  role="tab"
                  aria-controls="gallery"
                  aria-selected="false"
                  >Галерея</a
                >
              </li>
              <li class="nav-item">
                <a
                  class="nav-link text-light"
                  id="testing-tab"
                  data-toggle="tab"
                  href="#testing"
                  role="tab"
                  aria-controls="testing"
                  aria-selected="false"
                  >Тестирование</a
                >
              </li>
              <li class="nav-item">
                <a
                  class="nav-link text-light"
                  id="less-tab"
                  data-toggle="tab"
                  href="#less"
                  role="tab"
                  aria-controls="less"
                  aria-selected="false"
                  >less</a
                >
              </li>
              <li class="nav-item">
                <a
                  class="nav-link text-light"
                  id="contacts-tab"
                  data-toggle="tab"
                  href="#contacts"
                  role="tab"
                  aria-controls="contacts"
                  aria-selected="false"
                  >Контакты</a
                >
              </li>
            </ul>

            <ul class="nav ml-auto">
              <li class="nav-item">
                <a
                  href="#"
                  class="nav-link text-light"
                  data-toggle="modal"
                  data-target="#exampleModal"
                  >Вход</a
                >
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </header>
    <div class="container">
      <div class="tab-content">
        <div
          class="tab-pane active"
          id="home"
          role="tabpanel"
          aria-labelledby="home-tab"
        >
          <div class="container">
            <div class="row">
              <div class="col">
                <div class="single-post">
                  <h1>Робота з GitHub</h1>
                  <h3 class="post-category">Front end</h3>
                  <h2 class="post-title"><a href="#">Bootstrap</a></h2>
                  <p>
                    Bootstrap (также известен как Twitter Bootstrap) — свободный
                    набор инструментов для создания сайтов и веб-приложений.
                    Включает в себя HTML- и CSS-шаблоны оформления для
                    типографики, веб-форм, кнопок, меток, блоков навигации и
                    прочих компонентов веб-интерфейса, включая
                    JavaScript-расширения. Bootstrap использует современные
                    наработки в области CSS и HTML, поэтому необходимо быть
                    внимательным при поддержке старых браузеров.
                  </p>
                </div>
              </div>
            </div>
          </div>

          <div class="grid-posts">
            <div class="container">
              <div class="row">
                <div class="col-md-6">
                  <div class="card">
                    <img
                      class="card-img-top"
                      src="img/a1.jpg"
                      alt="Card image cap"
                    />
                    <div class="card-body">
                      <h3 class="post-category">Front end</h3>
                      <h5 class="post-title">LESS</h5>
                      <p class="card-text">
                        LESS (Leaner Style Sheets, компактная таблица стилей)—
                        это динамический язык стилей, который разработал Alexis
                        Sellier. Он создан под влиянием языка стилей Sass, и, в
                        свою очередь, оказал влияние на его новый синтаксис
                        «SCSS», в котором также использован синтаксис,
                        являющийся расширением СSS.
                      </p>
                    </div>
                  </div>
                </div>

                <div class="col-md-6">
                  <div class="card">
                    <img
                      class="card-img-top"
                      src="img/a2.jpg"
                      alt="Card image cap"
                    />
                    <div class="card-body">
                      <h3 class="post-category">Back end</h3>
                      <h5 class="post-title">C++</h5>
                      <p class="card-text">
                        C++ (читается си-плюс-плюс) — компилируемый, статически
                        типизированный язык программирования общего назначения.
                        Поддерживает такие парадигмы программирования, как
                        процедурное программирование, объектно-ориентированное
                        программирование, обобщённое программирование.
                      </p>
                    </div>
                  </div>
                </div>

                <div class="col-md-6">
                  <div class="card">
                    <img
                      class="card-img-top"
                      src="img/a3.jpg"
                      alt="Card image cap"
                    />
                    <div class="card-body">
                      <h3 class="post-category">Back end</h3>
                      <h5 class="post-title">C#</h5>
                      <p class="card-text">
                        C# (произносится си шарп) — объектно-ориентированный
                        язык программирования. Разработан в 1998—2001 годах
                        группой инженеров компании Microsoft под руководством
                        Андерса Хейлсберга и Скотта Вильтаумота как язык
                        разработки приложений для платформы Microsoft .NET
                        Framework.
                      </p>
                    </div>
                  </div>
                </div>

                <div class="col-md-6">
                  <div class="card">
                    <img
                      class="card-img-top"
                      src="img/a4.jpg"
                      alt="Card image cap"
                    />
                    <div class="card-body">
                      <h3 class="post-category">Front end</h3>
                      <h5 class="post-title">CSS</h5>
                      <p class="card-text">
                        CSS — формальный язык описания внешнего вида документа,
                        написанного с использованием языка разметки.
                        Преимущественно используется как средство описания,
                        оформления внешнего вида веб-страниц, написанных с
                        помощью языков разметки HTML и XHTML, но может также
                        применяться к любым XML-документам, например, к SVG или
                        XUL.
                      </p>
                    </div>
                  </div>
                </div>

                <div class="col text-center after-posts">
                  <button
                    type="button"
                    class="btn btn-outline-secondary Load-more"
                  >
                    Load more
                    <span
                      class="spinner-grow spinner-grow-sm"
                      role="status"
                      aria-hidden="true"
                    ></span>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div
          class="tab-pane"
          id="gallery"
          role="tabpanel"
          aria-labelledby="gallery-tab"
        >
          <div
            id="carouselExampleIndicators"
            class="carousel slide carousel-fade"
            data-ride="carousel"
          >
            <ol class="carousel-indicators">
              <li
                data-target="#carouselExampleIndicators"
                data-slide-to="0"
                class="active"
              ></li>
              <li
                data-target="#carouselExampleIndicators"
                data-slide-to="1"
              ></li>
              <li
                data-target="#carouselExampleIndicators"
                data-slide-to="2"
              ></li>
              <li
                data-target="#carouselExampleIndicators"
                data-slide-to="3"
              ></li>
              <li
                data-target="#carouselExampleIndicators"
                data-slide-to="4"
              ></li>
            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img
                  class="d-block w-100"
                  src="img/a1.jpg"
                  alt="Первый слайд"
                />
              </div>
              <div class="carousel-item">
                <img
                  class="d-block w-100"
                  src="img/a2.jpg"
                  alt="Второй слайд"
                />
              </div>
              <div class="carousel-item">
                <img
                  class="d-block w-100"
                  src="img/a3.jpg"
                  alt="Третий слайд"
                />
              </div>
              <div class="carousel-item">
                <img
                  class="d-block w-100"
                  src="img/a4.jpg"
                  alt="Четвертый слайд"
                />
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="img/a5.jpg" alt="Пятый слайд" />
              </div>
            </div>
            <a
              class="carousel-control-prev"
              href="#carouselExampleIndicators"
              role="button"
              data-slide="prev"
            >
              <span
                class="carousel-control-prev-icon"
                aria-hidden="true"
              ></span>
              <span class="sr-only">Previous</span>
            </a>
            <a
              class="carousel-control-next"
              href="#carouselExampleIndicators"
              role="button"
              data-slide="next"
            >
              <span
                class="carousel-control-next-icon"
                aria-hidden="true"
              ></span>
              <span class="sr-only">Next</span>
            </a>
          </div>
          <div class="container page-top">
            <div class="row">
              <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="img/a1.jpg" class="fancybox" rel="ligthbox">
                  <img src="img/a1.jpg" class="zoom img-fluid" alt="" />
                </a>
              </div>
              <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="img/a2.jpg" class="fancybox" rel="ligthbox">
                  <img src="img/a2.jpg" class="zoom img-fluid" alt="" />
                </a>
              </div>

              <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="img/a3.jpg" class="fancybox" rel="ligthbox">
                  <img src="img/a3.jpg" class="zoom img-fluid" alt="" />
                </a>
              </div>

              <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="img/a4.jpg" class="fancybox" rel="ligthbox">
                  <img src="img/a4.jpg" class="zoom img-fluid" alt="" />
                </a>
              </div>

              <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="img/a5.jpg" class="fancybox" rel="ligthbox">
                  <img src="img/a5.jpg" class="zoom img-fluid" alt="" />
                </a>
              </div>

              <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="img/a6.jpg" class="fancybox" rel="ligthbox">
                  <img src="img/a6.jpg" class="zoom img-fluid" alt="" />
                </a>
              </div>

              <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="img/a7.jpg" class="fancybox" rel="ligthbox">
                  <img src="img/a7.jpg" class="zoom img-fluid" alt="" />
                </a>
              </div>

              <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="img/a8.jpg" class="fancybox" rel="ligthbox">
                  <img src="img/a8.jpg" class="zoom img-fluid" alt="" />
                </a>
              </div>
            </div>
          </div>
        </div>
        <div
          class="tab-pane"
          id="testing"
          role="tabpanel"
          aria-labelledby="testing-tab"
        >
          <div class="container">
            <div class="row">
              <div
                class="
                  col-lg-8 col-md-4 col-sm-6
                  p-3
                  border border-primary
                  text-secondary
                  bg-danger
                  text-center text-lowercase
                  font-weight-bold
                  text-md-left
                "
                style="color: plum; background: darkorange"
              >
                A graph is a kind of data structure that includes a set of
                vertices and edges. Graph traversing means a visit to each
                vertex of the graph precisely. The graph traversing is used to
                determine the order in which vertices are being visited
                throughout the search process. A graph traversing searches for
                the edges that will be used in the search operation without
                establishing loops. This means that using graph traversal, we
                will go to all the vertices of the graph without going into a
                looping path.
              </div>
              <div
                class="
                  col-lg-4 col-md-8 col-sm-6
                  p-3
                  border border-primary
                  bg-warning
                "
              >
                Hi, My name is Alex and I am a DevOps engineer at Altenar. “No
                Windows, no problems.” - that is the answer I got by asking a
                guru of Ansible "How do you manage Windows?" on one of the local
                Ansible meetups. Although we have been running a modern stack
                (k8s, helm, .net core, etc) in production for about two years,
                that’s not how it has always been.
              </div>
            </div>
          </div>

          <h3 class="h3 text-secondary">
            Таблица тестовая <i class="fab fa-bootstrap"></i>
          </h3>
          <div class="table-responsive">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">First</th>
                  <th scope="col">Last</th>
                  <th scope="col">Handle</th>
                  <th scope="col">Handle</th>
                  <th scope="col">Handle</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <th scope="row">1</th>
                  <td>Mark</td>
                  <td>Otto</td>
                  <td>@mdo</td>
                  <td>@mdo</td>
                  <td>@mdo</td>
                </tr>
                <tr>
                  <th scope="row">2</th>
                  <td>Jacob</td>
                  <td>Thornton</td>
                  <td>Thornton</td>
                  <td>Thornton</td>
                  <td>@fat</td>
                </tr>
                <tr>
                  <th scope="row">3</th>
                  <td>Larry</td>
                  <td>the Bird</td>
                  <td>the Bird</td>
                  <td>the Bird</td>
                  <td>@twitter</td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class="progress-bars">
            <div class="progress">
              <div
                class="progress-bar bg-success"
                role="progressbar"
                style="width: 25%"
                aria-valuenow="25"
                aria-valuemin="0"
                aria-valuemax="100"
              ></div>
            </div>
            <div class="progress">
              <div
                class="progress-bar bg-info"
                role="progressbar"
                style="width: 50%"
                aria-valuenow="50"
                aria-valuemin="0"
                aria-valuemax="100"
              ></div>
            </div>
            <div class="progress">
              <div
                class="progress-bar bg-warning"
                role="progressbar"
                style="width: 75%"
                aria-valuenow="75"
                aria-valuemin="0"
                aria-valuemax="100"
              ></div>
            </div>
            <div class="progress">
              <div
                class="progress-bar bg-danger"
                role="progressbar"
                style="width: 100%"
                aria-valuenow="100"
                aria-valuemin="0"
                aria-valuemax="100"
              ></div>
            </div>
          </div>
        </div>
        <div
          class="tab-pane"
          id="less"
          role="tabpanel"
          aria-labelledby="less-tab"
        >
          <div class="wrapper">
            <nav class="mynav">
              <button class="mynav__theme">Change theme</button>
              <ul class="mynav__menu">
                <li class="mynav__item">
                  <a href="#" class="mynav__link">Home</a>
                </li>
                <li class="mynav__item">
                  <a href="#" class="mynav__link">About</a>
                </li>
                <li class="mynav__item">
                  <a href="#" class="mynav__link">Items</a>
                </li>
                <li class="mynav__item">
                  <a href="#" class="mynav__link">Contact</a>
                </li>
              </ul>
            </nav>

            <section class="main">
              <div class="main__content">
                <div class="main__tile main__tile--danger">
                  <div class="main__header">Product 1</div>
                  <ul class="main__features">
                    <li class="main__item">
                      Feature 1<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">
                      Feature 2<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">
                      Feature 3<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">Feature 4</li>
                    <li class="main__item">Feature 5</li>
                  </ul>

                  <div class="main__footer">
                    <button class="main__button main__button--danger">
                      Click on me!
                    </button>
                  </div>
                </div>

                <div class="main__tile main__tile--warning">
                  <div class="main__header">Product 2</div>
                  <ul class="main__features">
                    <li class="main__item">
                      Feature 1<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">Feature 2</li>
                    <li class="main__item">
                      Feature 3<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">
                      Feature 4<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">Feature 5</li>
                  </ul>

                  <div class="main__footer">
                    <button class="main__button main__button--warning">
                      Click on me!
                    </button>
                  </div>
                </div>

                <div class="main__tile main__tile--primary">
                  <div class="main__header">Product 3</div>
                  <ul class="main__features">
                    <li class="main__item">Feature 1</li>
                    <li class="main__item">
                      Feature 2<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">
                      Feature 3<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">
                      Feature 4<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">Feature 5</li>
                  </ul>

                  <div class="main__footer">
                    <button class="main__button main__button--primary">
                      Click on me!
                    </button>
                  </div>
                </div>

                <div class="main__tile main__tile--success">
                  <div class="main__header">Product 4</div>
                  <ul class="main__features">
                    <li class="main__item">
                      Feature 1<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">Feature 2</li>
                    <li class="main__item">Feature 3</li>
                    <li class="main__item">
                      Feature 4<span class="main__plus">+</span>
                    </li>
                    <li class="main__item">
                      Feature 5<span class="main__plus">+</span>
                    </li>
                  </ul>

                  <div class="main__footer">
                    <button class="main__button main__button--success">
                      Click on me!
                    </button>
                  </div>
                </div>
              </div>
            </section>
          </div>
        </div>
        <div
          class="tab-pane"
          id="contacts"
          role="tabpanel"
          aria-labelledby="contacts-tab"
        >
          <div class="container">
            <form>
              <div class="form-group mb-3">
                <label for="InputEmail">E-mail адрес:</label>
                <input
                  type="email"
                  class="form-control"
                  id="InputEmail"
                  aria-describdby="emailHelp"
                  placeholder="Email"
                  required
                />
                <small id="emailAddress" class="form-text text-muted"
                  >Введите ваш e-mail</small
                >
              </div>
              <div class="form-group mb-3">
                <label for="ContactTextarea" class="form-label"
                  >Текст письма</label
                >
                <textarea
                  class="form-control"
                  id="ContactTextarea"
                  rows="3"
                ></textarea>
              </div>
              <div class="input-group">
                <select
                  class="form-select"
                  id="inputGroupSelect"
                  aria-label="Example select with button addon"
                >
                  <option selected>Кому...</option>
                  <option value="director">Директору компании</option>
                  <option value="manager">Менеджеру компании</option>
                  <option value="sales">Отдел рекламы</option>
                </select>
                <button class="btn btn-primary" type="submit">Отправить</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <div class="nav-end-of-page bg-dark">
      <div class="container">
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
          <div id="navbarSupportedContent">
            <ul class="nav mr-auto">
              <li class="nav-item">
                <a
                  class="nav-link text-light"
                  id="home-tab"
                  data-toggle="tab"
                  href="#home"
                  role="tab"
                  aria-controls="home"
                  aria-selected="true"
                  >Главная</a
                >
              </li>
              <li class="nav-item">
                <a
                  class="nav-link text-light"
                  id="gallery-tab"
                  data-toggle="tab"
                  href="#gallery"
                  role="tab"
                  aria-controls="gallery"
                  aria-selected="false"
                  >Галерея</a
                >
              </li>
              <li class="nav-item">
                <a
                  class="nav-link text-light"
                  id="testing-tab"
                  data-toggle="tab"
                  href="#testing"
                  role="tab"
                  aria-controls="testing"
                  aria-selected="false"
                  >Тестирование</a
                >
              </li>
              <li class="nav-item">
                <a
                  class="nav-link text-light"
                  id="contacts-tab"
                  data-toggle="tab"
                  href="#contacts"
                  role="tab"
                  aria-controls="contacts"
                  aria-selected="false"
                  >Контакты</a
                >
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>

    <!-- Modal -->
    <div
      class="modal fade"
      id="exampleModal"
      tabindex="-1"
      role="dialog"
      aria-labelledby="exampleModal"
      aria-hidden="true"
    >
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title m-1" id="exampleModalLabel">
              Авторизация на сайте
            </h5>
            <button
              class="close"
              type="button"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="container-fluid">
              <form>
                <div class="form-group">
                  <label for="exampleInputEmail">E-mail адрес:</label>
                  <input
                    type="email"
                    class="form-control"
                    id="exampleInputEmail"
                    aria-describdby="emailHelp"
                    placeholder="Email"
                    required
                  />
                  <small id="emailHelp" class="form-text text-muted"
                    >Введите ваш e-mail</small
                  >
                </div>
                <div class="form-group">
                  <label for="exampleInputPass">Пароль:</label>
                  <input
                    type="password"
                    class="form-control"
                    id="exampleInputpass"
                    aria-describdby="passHelp"
                    placeholder="Password"
                    required
                  />
                  <small id="passHelp" class="form-text text-muted"
                    >Пароль должен содержать минимум 8 символов</small
                  >
                </div>
                <div class="form-check">
                  <label class="form-check-label py-2">
                    <input type="checkbox" class="form-check-input" />Запомнить
                    меня
                  </label>
                </div>
                <button type="submit" class="btn btn-primary">Отправить</button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>

    <footer>
      <div class="container">
        <div class="d-sm-flex justify-content-between">
          <div class="footer-left">
            <p>Тестовий сайт 2021 год</p>
          </div>
          <div class="footer-right">
            <span>Follow</span>
            <a href="#"><i class="fab fa-facebook-f"></i></a>
            <a href="#"><i class="fab fa-twitter"></i></a>
            <a href="#"><i class="fab fa-instagram"></i></a>
          </div>
        </div>
      </div>
    </footer>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <!-- FancyBox -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.min.js"></script>
    <!-- Main JavaScript -->
    <script src="js/main.js"></script>
  </body>
</html>
